Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RStruct Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
const VALUE * ptr
} heap
const VALUE ary [RSTRUCT_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 1046 of file ruby.h.

## Field Documentation

const VALUE RStruct::ary[RSTRUCT_EMBED_LEN_MAX]

Definition at line 1053 of file ruby.h.

union { ... } RStruct::as

struct RBasic RStruct::basic

Definition at line 1047 of file ruby.h.

struct { ... } RStruct::heap

long RStruct::len

Definition at line 1050 of file ruby.h.

const VALUE* RStruct::ptr

Definition at line 1051 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h